Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.command
Class AttributesAdd

    java.lang.Object
      echopointng.command.AttributesAdd

All Implemented Interfaces:
  Attributeable, Command

    public class AttributesAdd

extends java.lang.Object
implements Command, Attributeable

The `AttributesAdd` command is use to dynamically add attributes on the client side to a component

Constructor Summary
`AttributesAdd(Component component, Attributeable attributeable)` Constructs a `AttributesAdd` that can be applied to the specified component
`AttributesAdd(Component component, java.util.Map attributes)` Constructs a `AttributesAdd` that can be applied to the specified component

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns a value for the given attribute name or null if one cannot be found.
`java.lang.String[]` | `getAttributeNames()` Returns a String array with the names of the the attributes that have neen set.
`Component` | `getComponent()`
`void` | `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets a value for a given attribute name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributesAdd

    public AttributesAdd(Component component,
                         Attributeable attributeable)

  Constructs a `AttributesAdd` that can be applied to the specified component

  Parameters:
    `component` - - the component to apply the attributes to
    `attributeable` - - an Attributeable containg the attributes to be applied.

### AttributesAdd

    public AttributesAdd(Component component,
                         java.util.Map attributes)

  Constructs a `AttributesAdd` that can be applied to the specified component

  Parameters:
    `component` - - the component to apply the attributes to
    `attributes` - - the attributes in a Map.

Method Detail

### getComponent

    public Component getComponent()

  Returns:
    Returns the component.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attributeName)

  Description copied from interface: `Attributeable`
  Returns a value for the given attribute name or null if one cannot be found.

  Specified by:
    `getAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to return
  Returns:
    a value for the given attribute name or null if one cannot be found.
  See Also:
    `Attributeable.getAttribute(java.lang.String)`

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Description copied from interface: `Attributeable`
  Returns a String array with the names of the the attributes that have neen set.

  Specified by:
    `getAttributeNames` in interface `Attributeable`
  Returns:
    a String array with the names of the the attributes that have neen set.
  See Also:
    `Attributeable.getAttributeNames()`

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.Object attributeValue)

  Description copied from interface: `Attributeable`
  Sets a value for a given attribute name.

  Specified by:
    `setAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to set
    `attributeValue` - - the value for the attribute
  See Also:
    `Attributeable.setAttribute(java.lang.String, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD